namespace CMSMicroservice.Application.UserCartsCQ.Commands.DeleteUserCarts;
public class DeleteUserCartsCommandValidator : AbstractValidator<DeleteUserCartsCommand>
{
    public DeleteUserCartsCommandValidator()
    {
        RuleFor(model => model.Id)
            .NotNull();
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<DeleteUserCartsCommand>.CreateWithOptions((DeleteUserCartsCommand)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
